use strict;
use warnings;

use Test::More tests => 3;
use blib;

my $perl = $^X;
my $example = 't/src1.xml';
my $result;
my $expected;

$result= `$perl $example`;
$expected = '<h1>abcdefg</h1>';
like($result, qr($expected), "included src from attribute like expected: [$expected]");

$expected = '<h2>abcdefg</h2>';
like($result, qr($expected), "included src from function like expected: [$expected]");

$expected = '<h3>FOObar</h3>';
like($result, qr($expected), "variables in src are like expected: [$expected]");

print $result;